Returns all supported automation trigger and action types.

GEThttps://api.awork.com/api/v1/automations/catalog
GET https://api.awork.com/api/v1/automations/catalog

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Responses

200 OK

application/json

triggerTypesarray of string or nullOptional

Returns the exact supported trigger type strings.

actionTypesarray of string or nullOptional

Returns the exact supported action type strings.

triggerDefinitionsarray of object or nullOptional

Returns value contracts for the supported trigger types.

Show 6 properties
typestring or nullOptional

The exact backend trigger or action type.

valuesarray of object or nullOptional

The accepted values for this type.

Show 5 properties
namestring or nullOptional

The value name sent in the automation value list.

valueTypestring or nullOptional

The value shape expected by the automation API.

requiredbooleanOptional

Whether this value is required in the normal form.

descriptionstring or nullOptional

Explains how to build the value payload.

allowedValuesarray of string or nullOptional

The supported string options. An empty list means no fixed option list.

requiredValueSetsarray of array of string or nullOptional

Alternative required value sets. One complete set must be supplied.

conditionKindsarray of string or nullOptional

The supported kinds in a trigger's conditions value.

requiredConditionKindsarray of string or nullOptional

The kinds required when a conditions value is supplied.

valueAliasesobject or nullOptional

Maps known legacy or incorrect value names to their canonical names.

Show schema

object or null

Additional properties

string or null

actionDefinitionsarray of object or nullOptional

Returns value contracts for the supported action types.

Show 6 properties
typestring or nullOptional

The exact backend trigger or action type.

valuesarray of object or nullOptional

The accepted values for this type.

Show 5 properties
namestring or nullOptional

The value name sent in the automation value list.

valueTypestring or nullOptional

The value shape expected by the automation API.

requiredbooleanOptional

Whether this value is required in the normal form.

descriptionstring or nullOptional

Explains how to build the value payload.

allowedValuesarray of string or nullOptional

The supported string options. An empty list means no fixed option list.

requiredValueSetsarray of array of string or nullOptional

Alternative required value sets. One complete set must be supplied.

conditionKindsarray of string or nullOptional

The supported kinds in a trigger's conditions value.

requiredConditionKindsarray of string or nullOptional

The kinds required when a conditions value is supplied.

valueAliasesobject or nullOptional

Maps known legacy or incorrect value names to their canonical names.

Show schema

object or null

Additional properties

string or null

Search documentation